/**
 * Copyright (C) 2008 Ovea <dev@testatoo.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.testatoo.container;

public enum TestatooContainer {
    JETTY("org.testatoo.container.impl.JettyContainer"),
    TOMCAT("org.testatoo.container.impl.TomcatContainer"),
    TOMCAT6("org.testatoo.container.impl.Tomcat6Container");

    private final String serverClass;

    private TestatooContainer(String serverClass) {
        this.serverClass = serverClass;
    }

    @Override
    public String toString() {
        return name().toLowerCase();
    }

    /* keep package visibility */
    String serverClass() {
        return serverClass;
    }
}
